List Deployments
curl --request GET \
--url https://tavusapi.com/v2/deployments \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/deployments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployments": [
{
"deployment_id": "d1234567890abcdef",
"pal_id": "pcb7a34da5fe",
"name": "<string>",
"has_password": true,
"customization": {},
"replica_thumbnail_video_url": "<string>",
"thumbnail_video_url": "<string>",
"thumbnail_image_url": "<string>",
"limits": {},
"allowed_origins": [
"<string>"
],
"usage_total": 123,
"usage_today": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"message": "Invalid access token"
}Deployments
List Deployments
List deployments owned by the authenticated user.
GET
/
v2
/
deployments
List Deployments
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Query Parameters
Filter to deployments for a single PAL.
Case-insensitive search on deployment name.
Comma-separated statuses: draft, active, inactive.
Comma-separated channels: widget, embed, landing-page.
Available options:
asc, desc ⌘I

